Subject: Re: [RFC/PATCH 0/3] fix "Funny: git -p submodule summary"

From: Johannes Sixt <[email-masked]>
Date: Tue, 27 Jan 2009 13:46:19 +0100

Jeff King schrieb:
> However, I'm not sure just negating the exit code is sufficient.
> run_command can return codes in the 10000 range for its own internal
> errors. We don't want to pass those out through exit, which will
> truncate them to 8 bits.

Exit code and start_command/finish_command's return code handling is a
complete mess IMHO and deserves a clean-up series of its own. If the few
codes at 10000 and above are truncated to 8 bits, then we get exit codes
16 and higher; I think that's good enough for this series.

-- Hannes